<script setup lang="ts">
import TabMenu from 'primevue/tabmenu'
import { RouterLink } from 'vue-router'
import { ref } from 'vue'

const items = [
  {
    name: 'home',
    label: 'Home',
    route: '/',
  },
  {
    name: 'create',
    label: 'Create New',
    route: '/create',
  },
  {
    name: 'my-blog',
    label: 'My Blog',
    route: '/my-blog',
  },
];
</script>

<template>
  <header>
    <TabMenu :model="items">
      <template #item="{ item, props }">
        <router-link v-slot="{ href, navigate }" :to="item.route" custom>
          <a :href="href" v-bind="props.action" @click="navigate">
            <span v-bind="props.icon" />
            <span v-bind="props.label">{{ item.label }}</span>
          </a>
        </router-link>
      </template>
    </TabMenu>
  </header>
</template>

<style scoped>

</style>
